## GulkanRenderer

GulkanRenderer

## Functions

gboolean | gulkan_renderer_create_shader_module ()
GulkanClient * | gulkan_renderer_get_client ()
VkExtent2D | gulkan_renderer_get_extent ()
void | gulkan_renderer_set_client ()
void | gulkan_renderer_set_extent ()
float | gulkan_renderer_get_aspect ()
int64_t | gulkan_renderer_get_msec_since_start ()
gboolean | gulkan_renderer_draw ()

## Types and Values

#define | GULKAN_TYPE_RENDERER
struct | GulkanRendererClass
| GulkanRenderer

## Object Hierarchy

        GObject
        ╰── GulkanRenderer
            ╰── GulkanSwapchainRenderer

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_renderer_create_shader_module ()

    gboolean
    gulkan_renderer_create_shader_module (GulkanRenderer *self,
                                          const gchar *resource_name,
                                          VkShaderModule *module);

### gulkan_renderer_get_client ()

    GulkanClient *
    gulkan_renderer_get_client (GulkanRenderer *self);

### gulkan_renderer_get_extent ()

    VkExtent2D
    gulkan_renderer_get_extent (GulkanRenderer *self);

### gulkan_renderer_set_client ()

    void
    gulkan_renderer_set_client (GulkanRenderer *self,
                                GulkanClient *client);

### gulkan_renderer_set_extent ()

    void
    gulkan_renderer_set_extent (GulkanRenderer *self,
                                VkExtent2D extent);

### gulkan_renderer_get_aspect ()

    float
    gulkan_renderer_get_aspect (GulkanRenderer *self);

### gulkan_renderer_get_msec_since_start ()

    int64_t
    gulkan_renderer_get_msec_since_start (GulkanRenderer *self);

### gulkan_renderer_draw ()

    gboolean
    gulkan_renderer_draw (GulkanRenderer *self);

## Types and Values

### GULKAN_TYPE_RENDERER

    #define GULKAN_TYPE_RENDERER gulkan_renderer_get_type()

### struct GulkanRendererClass

    struct GulkanRendererClass {
      GObjectClass parent;

      gboolean
      (*draw) (GulkanRenderer *self);
    };

### GulkanRenderer

    typedef struct _GulkanRenderer GulkanRenderer;